PermuteDocs
Go to Permute

Skills · skillsUpdate

Create or replace a skill

Workspace scope. Requires skill write permission. Saves a complete Markdown file of at most 2,000 words and generates its discovery description.

PUT/v1/skills/{path}
betaapiKeyworkspace

When to use

Save reusable business context.

For agents

Send the complete Markdown content (at most 2,000 words). This creates or replaces the file and generates its discovery description.

Example

typescript
import { PermuteClient } from '@permute/sdk';

const orgClient = new PermuteClient({
  apiKey: process.env.PERMUTE_API_KEY!,
});

const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);

const result = await client.skills.update('finance/revenue.md', {
  "content": "# Revenue reporting\n\nUse the Net revenue fact for revenue analysis."
});

Request body

json
{
  "content": "# Revenue reporting\n\nUse the Net revenue fact for revenue analysis."
}

Response

json
{
  "data": {
    "success": true,
    "message": "Updated finance/revenue.md"
  }
}